<?php

namespace App\Dto\Input;

use ApiPlatform\Metadata\ApiProperty;
use App\Dto\Output\OrganizationalUnitOutput;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class SubnetAddSingleOrganizationalUnitInput
{
    #[Assert\NotNull]
    #[Groups(['subnet:write'])]
    public ?OrganizationalUnitOutput $organizationalUnitOutput = null;
}